CREATE TABLE fos_pricing_option_f (
    PRICING_ID                   NUMBER(18, 0) ,
    EFFECTIVE_START_DATE         DATE          ,
    EFFECTIVE_END_DATE           DATE          ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    PRICING_OPTION_NAME          VARCHAR2(400)     NOT NULL,
    PRICING_OPTION_DESC          VARCHAR2(800) ,
    TP_PRICING_BASIS_FLAG        VARCHAR2(4)       NOT NULL,
    TP_TXN_COST_BASIS_FLAG       VARCHAR2(4)       NOT NULL,
    TP_DOC_PRICE_BASIS_FLAG      VARCHAR2(4)       NOT NULL,
    TP_OPTIONS_CRITERIA          VARCHAR2(4)       NOT NULL,
    TP_USE_SOPRICE_FLAG          VARCHAR2(4)       NOT NULL,
    TP_USE_BACK_TO_BACK_FLAG     VARCHAR2(4)       NOT NULL,
    TP_DOC_PRICE_TERM_ID         NUMBER(18, 0) ,
    TP_DOC_MARKUP_TYPE           VARCHAR2(120) ,
    TP_DOC_MARKUP_VALUE          NUMBER        ,
    TP_COST_MARKUP_TYPE          VARCHAR2(120) ,
    TP_COST_MARKUP_VALUE         NUMBER        ,
    TP_COST_PRICE_TERM_ID        NUMBER(18, 0) ,
    BUYERS_VALUE_OPTION          VARCHAR2(4)       NOT NULL,
    SELLERS_VALUE_OPTION         VARCHAR2(4)       NOT NULL,
    SELL_PRICING_BASIS_FLAG      VARCHAR2(4)       NOT NULL,
    SELL_TXN_COST_BASIS_FLAG     VARCHAR2(4)       NOT NULL,
    SELL_DOC_PRICE_BASIS_FLAG    VARCHAR2(4)       NOT NULL,
    SELL_OPTIONS_CRITERIA        VARCHAR2(4)       NOT NULL,
    SELL_USE_SOPRICE_FLAG        VARCHAR2(4)       NOT NULL,
    SELL_DOC_PRICE_TERM_ID       NUMBER(18, 0) ,
    SELL_DOC_MARKUP_TYPE         VARCHAR2(120) ,
    SELL_DOC_MARKUP_VALUE        NUMBER        ,
    SELL_COST_MARKUP_TYPE        VARCHAR2(120) ,
    SELL_COST_MARKUP_VALUE       NUMBER        ,
    SELL_COST_PRICE_TERM_ID      NUMBER(18, 0) ,
    BUY_PRICING_BASIS_FLAG       VARCHAR2(4)       NOT NULL,
    BUY_TXN_COST_BASIS_FLAG      VARCHAR2(4)       NOT NULL,
    BUY_DOC_PRICE_BASIS_FLAG     VARCHAR2(4)       NOT NULL,
    BUY_OPTIONS_CRITERIA         VARCHAR2(4)       NOT NULL,
    BUY_USE_SOPRICE_FLAG         VARCHAR2(4)       NOT NULL,
    BUY_DOC_PRICE_TERM_ID        NUMBER(18, 0) ,
    BUY_DOC_MARKUP_TYPE          VARCHAR2(120) ,
    BUY_DOC_MARKUP_VALUE         NUMBER        ,
    BUY_COST_MARKUP_TYPE         VARCHAR2(120) ,
    BUY_COST_MARKUP_VALUE        NUMBER        ,
    BUY_COST_PRICE_TERM_ID       NUMBER(18, 0) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    TP_ITEM_COST_BASIS_FLAG      VARCHAR2(4)       NOT NULL,
    TP_ITEM_COST_MARKUP_VALUE    NUMBER        ,
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    PRICING_ID                   NUMBER(18, 0) ,
    EFFECTIVE_START_DATE         DATE          ,
    EFFECTIVE_END_DATE           DATE          ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    PRICING_OPTION_NAME          VARCHAR2(400)     NOT NULL,
    PRICING_OPTION_DESC          VARCHAR2(800) ,
    TP_PRICING_BASIS_FLAG        VARCHAR2(4)       NOT NULL,
    TP_TXN_COST_BASIS_FLAG       VARCHAR2(4)       NOT NULL,
    TP_DOC_PRICE_BASIS_FLAG      VARCHAR2(4)       NOT NULL,
    TP_OPTIONS_CRITERIA          VARCHAR2(4)       NOT NULL,
    TP_USE_SOPRICE_FLAG          VARCHAR2(4)       NOT NULL,
    TP_DOC_PRICE_TERM_ID         NUMBER(18, 0) ,
    TP_DOC_MARKUP_TYPE           VARCHAR2(120) ,
    TP_DOC_MARKUP_VALUE          NUMBER        ,
    TP_COST_MARKUP_TYPE          VARCHAR2(120) ,
    TP_COST_MARKUP_VALUE         NUMBER        ,
    TP_COST_PRICE_TERM_ID        NUMBER(18, 0) ,
    BUYERS_VALUE_OPTION          VARCHAR2(4)       NOT NULL,
    SELLERS_VALUE_OPTION         VARCHAR2(4)       NOT NULL,
    SELL_PRICING_BASIS_FLAG      VARCHAR2(4)       NOT NULL,
    SELL_TXN_COST_BASIS_FLAG     VARCHAR2(4)       NOT NULL,
    SELL_DOC_PRICE_BASIS_FLAG    VARCHAR2(4)       NOT NULL,
    SELL_OPTIONS_CRITERIA        VARCHAR2(4)       NOT NULL,
    SELL_USE_SOPRICE_FLAG        VARCHAR2(4)       NOT NULL,
    SELL_DOC_PRICE_TERM_ID       NUMBER(18, 0) ,
    SELL_DOC_MARKUP_TYPE         VARCHAR2(120) ,
    SELL_DOC_MARKUP_VALUE        NUMBER        ,
    SELL_COST_MARKUP_TYPE        VARCHAR2(120) ,
    SELL_COST_MARKUP_VALUE       NUMBER        ,
    SELL_COST_PRICE_TERM_ID      NUMBER(18, 0) ,
    BUY_PRICING_BASIS_FLAG       VARCHAR2(4)       NOT NULL,
    BUY_TXN_COST_BASIS_FLAG      VARCHAR2(4)       NOT NULL,
    BUY_DOC_PRICE_BASIS_FLAG     VARCHAR2(4)       NOT NULL,
    BUY_OPTIONS_CRITERIA         VARCHAR2(4)       NOT NULL,
    BUY_USE_SOPRICE_FLAG         VARCHAR2(4)       NOT NULL,
    BUY_DOC_PRICE_TERM_ID        NUMBER(18, 0) ,
    BUY_DOC_MARKUP_TYPE          VARCHAR2(120) ,
    BUY_DOC_MARKUP_VALUE         NUMBER        ,
    BUY_COST_MARKUP_TYPE         VARCHAR2(120) ,
    BUY_COST_MARKUP_VALUE        NUMBER        ,
    BUY_COST_PRICE_TERM_ID       NUMBER(18, 0) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    TP_ITEM_COST_BASIS_FLAG      VARCHAR2(4)       NOT NULL,
    TP_ITEM_COST_MARKUP_VALUE    NUMBER        ,
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    TP_USE_BACK_TO_BACK_FLAG     VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fos_pricing_option_f PRIMARY KEY (PRICING_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, PRICING_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
